<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- params:
          - managedBean : the name of the bean used to manage the display (inherit from AbstractValidatorBrowser) -->
    <!-- inserts:
          - additionalCriteria
          - adminButtons
          - actionButtons (val is the var to walk through the dataTable) -->
    <s:div id="globalDiv">
        <h:form id="criteriaForm">
            <s:token allowMultiplePosts="true"/>
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{managedBean.filter.urlParameters}"/>
            <script>
                updateUrl("criteriaForm:filterUrlParameters");
                jq162("#criteriaForm\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("criteriaForm:filterUrlParameters");
                        });
            </script>
            <h:outputText value="#{messages['net.ihe.gazelle.xval.NoGazelleCrossValidatorRulesHasBeenRegisteredYet']}"
                          rendered="#{managedBean.emptyRuleList}" styleClass="message"/>
            <s:decorate template="/layout/panels/_panel_title_footer.xhtml" rendered="#{not managedBean.emptyRuleList}">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.SearchCriteria']}"/>
                </ui:define>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="validator"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.Validator']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <!--<div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="assertion"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.CoveredAssertion']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>-->
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="level"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.Level']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                </div>
                <ui:insert name="additionalCriteria"/>
                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Back']}"
                                       styleClass="gzl-btn" onclick="history.back()"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.ResetCriteria']}"
                                       styleClass="gzl-btn" actionListener="#{managedBean.resetFilter()}"
                                       render="globalDiv"/>
                    <ui:insert name="navButtons"/>
                </ui:define>
            </s:decorate>
        </h:form>
        <s:decorate template="/layout/panels/_panel_title.xhtml" rendered="#{not managedBean.emptyRuleList}"
                    id="rulesPanel">
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.Rules']}"/>
            </ui:define>
            <ui:include src="/xvalidation/common/rulesTable.xhtml">
                <ui:param name="id" value="all"/>
                <ui:param name="rules" value="#{managedBean.getRules()}"/>
                <ui:param name="displayRuleStatusColumn" value="#{displayStatusColumn}"/>
            </ui:include>
        </s:decorate>
    </s:div>
</ui:composition>
